# Generated by Django 2.2.1 on 2019-05-07 12:09

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('siosug', '0003_vlan_active'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActionRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_timestamp', models.DateTimeField(auto_now_add=True, unique=True)),
                ('verb', models.CharField(max_length=32)),
                ('params', django.contrib.postgres.fields.jsonb.JSONField(default=dict)),
                ('state', models.SmallIntegerField(choices=[(0, 'To Do'), (1, 'Done'), (2, 'Error'), (3, 'Skipped')], default=0)),
                ('exec_timestamp', models.DateTimeField(blank=True, null=True)),
                ('logs', models.TextField(blank=True, null=True)),
            ],
        ),
    ]
